Bug 974649 - (CVE-2013-3567) CVE-2013-3567 puppet: remote code execution on master from unauthenticated clients
CVE-2013-3567 puppet: remote code execution on master from unauthenticated cl...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130618,repor...
: Security
Depends On: 974664 975814 975816 995656 1002315 1002345 1002347 1007056
Blocks: 974651
  Show dependency treegraph
 
Reported: 2013-06-14 13:33 EDT by Vincent Danen
Modified: 2016-04-26 20:50 EDT (History)
54 users (show)

See Also:
Fixed In Version: puppet 2.7.22, puppet 3.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 00:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-06-14 13:33:46 EDT
When making REST api calls, the puppet master takes YAML from an untrusted
client, deserializes it, and then calls methods on the resulting object. A YAML
payload can be crafted to cause the deserialization to construct an instance of
any class available in the ruby process, which allows an attacker to execute
code contained in the payload.
Comment 5 Tomas Hoger 2013-06-19 03:44:39 EDT
External Reference:

http://puppetlabs.com/security/cve/cve-2013-3567/
Comment 6 Jan Lieskovsky 2013-06-19 08:11:06 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 975814]
Affects: epel-all [bug 975816]
Comment 10 Kurt Seifried 2013-07-26 03:38:44 EDT
The Red Hat Security Response Team has rated this issue as having moderate security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.
Comment 22 Murray McAllister 2013-09-12 08:59:28 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue. Upstream acknowledges Ben Murphy as the original reporter.
Comment 23 errata-xmlrpc 2013-09-24 14:02:50 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1283 https://rhn.redhat.com/errata/RHSA-2013-1283.html
Comment 24 errata-xmlrpc 2013-09-24 14:13:32 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1284 https://rhn.redhat.com/errata/RHSA-2013-1284.html

Note You need to log in before you can comment on or make changes to this bug.